@use './styles/card.variables' as *;
@use './styles/card.variations' as variations;

:host {
  $base: '.digi-card';
  @include digi-card--variables;
  --BACKGROUND-COLOR: var(--digi--card--background-color--primary);
  --BORDER: var(--digi--card--border);
  --BORDER-RADIUS: var(--digi--card--border-radius);
  --FOOTER-BORDER: none;

  #{$base} {

    &--border--primary {
      @include variations.border-primary;
    }

    &--border-radius--primary {
      @include variations.border-radius-primary;
    }

    &--footer--border {
      @include variations.footer-border;
    }
    
    background: var(--BACKGROUND-COLOR);
    border: var(--BORDER);
    border-radius: var(--BORDER-RADIUS);

    &__content {
      padding: var(--digi--card--padding);
    }

    &__footer {
      border-top: var(--FOOTER-BORDER);
      padding: var(--digi--card--footer--padding);
    }
  }
}
